> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Route



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/sessions/{session_id}
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/sessions/{session_id}:
    get:
      tags:
        - traces
      summary: Get Session Route
      operationId: get_session_route_api_v1_sessions__session_id__get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Session Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SessionDetail:
      properties:
        session_id:
          type: string
          format: uuid
          title: Session Id
        proxy_id:
          type: string
          format: uuid
          title: Proxy Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        session_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Name
        call_count:
          type: integer
          title: Call Count
        total_request_tokens:
          type: integer
          title: Total Request Tokens
        total_response_tokens:
          type: integer
          title: Total Response Tokens
        avg_latency_ms:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Latency Ms
        first_call_at:
          type: string
          format: date-time
          title: First Call At
        last_call_at:
          type: string
          format: date-time
          title: Last Call At
        traces:
          items:
            $ref: '#/components/schemas/TraceRecord'
          type: array
          title: Traces
          default: []
      type: object
      required:
        - session_id
        - proxy_id
        - org_id
        - call_count
        - total_request_tokens
        - total_response_tokens
        - first_call_at
        - last_call_at
      title: SessionDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TraceRecord:
      properties:
        trace_id:
          type: string
          title: Trace Id
        proxy_id:
          type: string
          format: uuid
          title: Proxy Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        session_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Session Id
        trace_flow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Flow Id
        provider:
          type: string
          title: Provider
        model:
          type: string
          title: Model
        step_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Step Type
        step_stage:
          anyOf:
            - type: string
            - type: 'null'
          title: Step Stage
        step_index:
          type: integer
          title: Step Index
          default: 0
        request_tokens:
          type: integer
          title: Request Tokens
        response_tokens:
          type: integer
          title: Response Tokens
        latency_ms:
          type: integer
          title: Latency Ms
        policy_decision:
          type: string
          title: Policy Decision
        policy_rule:
          type: string
          title: Policy Rule
          default: ''
        response_body:
          type: string
          title: Response Body
          default: ''
        request_system_prompt:
          type: string
          title: Request System Prompt
          default: ''
        request_messages:
          type: string
          title: Request Messages
          default: ''
        request_tools:
          type: string
          title: Request Tools
          default: ''
        intent_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Intent Score
        intent_action:
          anyOf:
            - type: string
            - type: 'null'
          title: Intent Action
        matched_capability:
          type: string
          title: Matched Capability
          default: ''
        intent_reason:
          type: string
          title: Intent Reason
          default: ''
        intent_latency_ms:
          type: integer
          title: Intent Latency Ms
          default: 0
        ttft_ms:
          type: integer
          title: Ttft Ms
          default: 0
        session_turn:
          type: integer
          title: Session Turn
          default: 0
        custom_properties:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Properties
        trace_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Path
        parent_trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Trace Id
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        ended_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Ended At
        guardrail_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Name
        guardrail_stage:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Stage
        guardrail_decision:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Decision
        guardrail_rule:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Rule
        guardrail_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Guardrail Reason
        guardrail_duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Guardrail Duration Ms
        tool_call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Call Id
        tool_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Name
        tool_args_json:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Args Json
        tool_result_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Result Summary
        tool_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Status
        integration_names:
          type: string
          title: Integration Names
        stream:
          type: integer
          title: Stream
        status_code:
          type: integer
          title: Status Code
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        tool_names:
          type: string
          title: Tool Names
          description: Compatibility alias for runtimes still reading `tool_names`.
          readOnly: true
      type: object
      required:
        - trace_id
        - proxy_id
        - org_id
        - provider
        - model
        - request_tokens
        - response_tokens
        - latency_ms
        - policy_decision
        - intent_score
        - intent_action
        - integration_names
        - stream
        - status_code
        - timestamp
        - tool_names
      title: TraceRecord
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````